price.h File Reference

Probability price calculation. More...

## Macros

#define | RC_MOVE_REDUCING_BITS 4
#define | RC_BIT_PRICE_SHIFT_BITS 4
#define | RC_PRICE_TABLE_SIZE (RC_BIT_MODEL_TOTAL >> RC_MOVE_REDUCING_BITS)
#define | RC_INFINITY_PRICE (UINT32_C(1) << 30)

## Functions

static uint32_t | rc_bit_price (const probability prob, const uint32_t bit)
static uint32_t | rc_bit_0_price (const probability prob)
static uint32_t | rc_bit_1_price (const probability prob)
static uint32_t | rc_bittree_price (const probability *const probs, const uint32_t bit_levels, uint32_t symbol)
static uint32_t | rc_bittree_reverse_price (const probability *const probs, uint32_t bit_levels, uint32_t symbol)
static uint32_t | rc_direct_price (const uint32_t bits)

## Variables

const uint8_t | lzma_rc_prices [RC_PRICE_TABLE_SIZE]
| Lookup table for the inline functions defined in this file. More...

## Detailed Description

Probability price calculation.

## Variable Documentation

## lzma_rc_prices

const uint8_t lzma_rc_prices[RC_PRICE_TABLE_SIZE]

extern

Lookup table for the inline functions defined in this file.